Skip to navigation

List signature definitions

View as Markdown

This method retrieves the signature definitions for the user that you specify.

The userId parameter specified in the endpoint must match the authenticated user’s user ID, and the user must be a member of the account.

The signatureId parameter accepts a signature ID or a signature name. Docusign recommends you use signature ID (signatureId), since some names contain characters that do not properly encode into a URL. If you use the user name, it is likely that the name includes spaces. In that case, URL encode the name before using it in the endpoint.

For example, encode “Bob Smith” as “Bob%20Smith”.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

userIdstringRequired

The ID of the user to access.

Note: Users can only access their own information. A user, even one with Admin rights, cannot access another user’s settings.

Query parameters

stamp_typestringOptional

The type of stamps to return. Valid values are:

  • signature: Returns information about signature images only. This is the default value.
  • stamp: Returns information about eHanko and custom stamps only.
  • null

Response

Successful response.
userSignatureslist of objectsOptional

An array of userSignature objects.

Errors

400
Bad Request Error